<?php

namespace Aerex\TaskwarriorPlugin;

use DavidBadura\Taskwarrior\Taskwarrior;
use Aerex\Taskwarrior\TaskwarriorManager; 

class Config {

   /**
     * @var string
     */
    private $bin;

    /**
     * @var string
     */
    private $taskrc;

    /**
     * @var string
     */
    private $taskData;

    /**
     * @var array
     */
    private $rcOptions;


    public function __construct($taskrc='~/.taskrc', $taskData='~/.task',$rcOptions = [], $bin='task'){
      $this->taskrc = $taskrc;
      $this->bin = $bin;
      $this->taskDat = $taskData;
      $this->rcOptions = $rcOptions;

    }

    public function getTaskwarriorInstance(){

      $this->taskwarrior = new Taskwarrior($this->taskrc,$this->taskdatadir, [], $this->taskbinfile);
      $this->taskwarriorManager = new TaskwarriorManager($this->taskwarrior);

      return $this->taskwarriorManager;
    }


    public function getLogger(){
      return $this->logger;
    }
    public function setLogger($logger){
      $this->logger = $logger;

    }

}
?>
